Subject: Re: bug#8718: error when using nested conditionals

From: Bruno Haible <[email-masked]>
Date: Fri, 10 Jun 2011 12:47:56 +0200

Peter,

> how about the following alternative (for all conditionals, or just for some
> of them, e.g., those under the regime of AM_IGNORE_UNDEFINED_CONDITIONALS):
> Replace the AC_MSG_ERROR() above by a warning and set both $1_TRUE and
> $1_FALSE to something that, when not hidden in a false branch of the
> Makefile, (1) triggers a make syntax error, and (2) contains sufficient info
> to deduce the cause for that error.

Sounds good. But gnulib would also need a way to disable the warning,
because otherwise the maintainers of packages that use gnulib come back to
me and ask how they can get rid of the warning.

Bruno
-- 
In memoriam Lamana Ould Bou <http://fr.wikipedia.org/wiki/Lamana_Ould_Bou>